jQuery(function($){
 
	// it is a copy of the inline edit function
	var wp_inline_edit_function = inlineEditPost.edit;
 
	// we overwrite the it with our own
	inlineEditPost.edit = function( post_id ) {
 
		// let's merge arguments of the original function
		wp_inline_edit_function.apply( this, arguments );
 
		// get the post ID from the argument
		var id = 0;
		if ( typeof( post_id ) == 'object' ) { // if it is object, get the ID number
			id = parseInt( this.getId( post_id ) );
		}

		//if post id exists
		if ( id > 0 ) {
 
			// add rows to variables
			var specific_post_edit_row = $( '#edit-' + id ),
			    specific_post_row = $( '#post-' + id ),
			    product_brands = $( '.column-taxonomy-product-brand', specific_post_row ).text(); // let's say by default checkbox is unchecked

			var product_brands_array = product_brands.split(', ');

			$( '.product-brand-checklist :input[type="checkbox"]', specific_post_edit_row ).prop('checked', false);
			product_brands_array.forEach(function(entry) {
				$( '.product-brand-checklist :input[type="checkbox"][data-text="'+entry+'"]', specific_post_edit_row ).prop('checked', true);
			});
		}
	}


	$( 'body' ).on( 'click', '.bulkactions #doaction', function() {
		var bulk_action = $('.bulkactions select[name="action"]').val();
		if( 'edit' == bulk_action ) {
			$( '.bulk-edit-row .product-brand-checklist :input[type="checkbox"]' ).prop('checked', false);
		}
	});


});