jQuery(document).ready(
    function ( $ ) {
        $(document).on(
            'click', '#ct_tax_media_button', function () {
                var elem = $(this);
                var images = wp.media(
                    {
                        title : "Upload Brand Item Image",
                        multiple : false
                    }
                ).open().on(
                    'select', function () {
                        var img_ids = '';
                        var uploaded_images = images.state().get("selection");
                        var up_images = uploaded_images.toJSON();

                        if(parseInt(up_images[0].id) > 0 ) {
                            console.log(up_images[0]);
                            var imageUrl = ( typeof up_images[0].sizes.medium != 'undefined' ) ? up_images[0].sizes.medium.url : up_images[0].sizes.full.url;
                            $('input#brand-image-id').val(up_images[0].id);
                            $('#brand-image-wrapper').html('<img src="'+imageUrl+'" style="width:auto; height:60px;" />');
                        }
                    }
                );
            }
        );

        $(document).on(
            'click', '#ct_tax_media_remove', function () {
                $('input#brand-image-id').val('');
                $('#brand-image-wrapper').html('');
            }
        );
    
        $(document).ajaxComplete(
            function (event, xhr, settings) {
                var queryStringArr = settings.data.split('&');
                if($.inArray('action=add-tag', queryStringArr) !== -1 ) {
                    var xml = xhr.responseXML;
                    $response = $(xml).find('term_id').text();
                    if($response!="") {
                          $('input#brand-image-id').val('');
                          $('#brand-image-wrapper').html('');
                    }
                }
            }
        );
    }
);